Skip to main content
`Ctrl`+`K`

# numpy.char.isspace

char.isspace(x, /, out=None, *, where=True, casting='same_kind', order='K', dtype=None, subok=True[, signature]) = <ufunc 'isspace'>

  Returns true for each element if there are only whitespace characters in the string and there is at least one character, false otherwise.

  For byte strings, whitespace characters are the ones in the sequence b’ tnrx0bf’. For Unicode strings, a character is whitespace, if, in the Unicode character database, its general category is Zs (“Separator, space”), or its bidirectional class is one of WS, B, or S.

  Parameters:
    x array_like, with `StringDType`, `bytes_`, or `str_` dtype
    out ndarray, None, or tuple of ndarray and None, optional

      A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

    where array_like, optional

      This condition is broadcast over the input. At locations where the condition is True, the out array will be set to the ufunc result. Elsewhere, the out array will retain its original value. Note that if an uninitialized out array is created via the default `out=None`, locations within it where the condition is False will remain uninitialized.

    **kwargs

      For other keyword-only arguments, see the ufunc docs.

  Returns:
    y ndarray

      Output array of bools This is a scalar if x is a scalar.

  See also

  `str.isspace`

  Examples

      >>> np.char.isspace(list("a b c"))
      array([False,  True, False,  True, False])
      >>> np.char.isspace(b'\x0a \x0b \x0c')
      np.True_
      >>> np.char.isspace(b'\x0a \x0b \x0c N')
      np.False_